13.4. Kernel Interaction During Boot
Prev | Chapter 13. The FreeBSD Booting Process | Next

## 13.4. Kernel Interaction During Boot

Once the kernel is loaded by either the default loader (Section 13.3.3, “Stage Three, `/boot/loader`”) or by boot2 (Section 13.3.2, “Stage One, `/boot/boot1`, and Stage Two, `/boot/boot2`”), which bypasses the loader, it examines any boot flags and adjusts its behavior as necessary.

### 13.4.1. Kernel Boot Flags

Here are the more common boot flags:

`-a`

  During kernel initialization, ask for the device to mount as the root file system.

`-C`

  Boot from CDROM.

`-c`

  Run UserConfig, the boot-time kernel configurator.

`-s`

  Boot into single-user mode.

`-v`

  Be more verbose during kernel startup.

### Note:

Refer to boot(8) for more information on the other boot flags.

Prev | Up | Next
13.3. The Boot Manager and Boot Stages | Home | 13.5. Device Hints

This, and other documents, can be downloaded from http://ftp.FreeBSD.org/pub/FreeBSD/doc/

For questions about FreeBSD, read the documentation before contacting <questions@FreeBSD.org>.
For questions about this documentation, e-mail <doc@FreeBSD.org>.